package com.wms.entity.app.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.wms.entity.table.Role;
import lombok.Data;

@Data
public class RoleVo {
    /**
     * 角色id
     */
    @JsonProperty("roleId")
    private Integer roleId;
    /**
     * 角色名称
     */
    @JsonProperty("roleName")
    private String roleName;

    /**
     * 从数据库实体转换为前端显示
     * @param rolePo 数据库实体
     * @return excel对象
     */
    public static RoleVo of(Role rolePo) {
        RoleVo roleVo = new RoleVo();
        roleVo.setRoleId(rolePo.getRoleId());
        roleVo.setRoleName(rolePo.getRoleName());
        return roleVo;
    }
}
